QGIS Application - Bug report #6872

"ERROR: duplicate key value violates unique constraint "XXXX_pkey" always pops up when
merging PostGIS features

2012-12-13 07:20 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 16002
Description

This is a regression in 1.8 and master since 1.7.4

Pick a PostGIS layer and select two features, then in the advanced editing toolbar use the "merge features" tool.

When saving edits you will always get a

ERROR: duplicate key value
violates unique constraint "XXXX_pkey"

like message.

The save operation usually goes ok anyway, but sometimes something very bad happens, and the merged features disappear completely
without any notice.

Related issues:
Duplicates QGIS Application - Bug report # 6422: QGIS delete Postgis features... Closed 2012-09-27

History

#1 - 2012-12-14 02:13 AM - Giovanni Manghi

Regarding the disappearing features, see: #6422

#2 - 2013-01-04 01:49 PM - Benedict Holland

I think | might be able to work on this bug but | don't have a PostGIS layer, or in this case 2. | am going to guess that there is something specifically setting
the primary key with the merge instead of creating a new one. Can someone upload two PostGIS layers to merge as a test case?

~Ben

#3 - 2013-01-04 02:47 PM - Giovanni Manghi

Benedict Holland wrote:

1 think | might be able to work on this bug but | don't have a PostGIS layer, or in this case 2. | am going to guess that there is something specifically

setting the primary key with the merge instead of creating a new one. Can someone upload two PostGIS layers to merge as a test case?
| can provide you access (privately) to a test postgis server, but wouldn't be easier to install in your box PostgreSQL and PostGIS? Cheers.

#4 - 2013-01-04 04:25 PM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

2024-03-20 22



